Attribute VB_Name = "NimbusContainer_Procs"
Option Explicit

'
' Date     / Sign /  Vers   / Comment
' ------------------------------------------------------------------------------------------------------------------------------
' 08.01.15 /  TR  / 1.00.00 / Main
' 08.01.22 /  TR  / 1.00.01 / Port is set to 2071 when form is loaded (to work with SPF CiCode components)
' 08.03.30 /  TR  / 1.00.02 / TreeFilter implemented
' ------------------------------------------------------------------------------------------------------------------------------
'

Private Declare Function vbGetUserName Lib "GetUserAndGroup" (ByVal szUserName$, ByVal iMaxLength&) As Long
Private Declare Function vbGetGroupNames Lib "GetUserAndGroup" (ByVal szFilter$, ByVal szGroups$, ByVal iMaxLength&) As Long

Public m_UserName$
Public m_Groups$

Public m_Area$
Public m_ServerAddress$
Public m_ServerPort&
Public m_Password$

Public Function GetParameter$(ParameterName$, Default$)

  If InStr(1, Command$, "/" & ParameterName & ":", vbTextCompare) Then
    GetParameter = Trim(Item(Mid(Command$, InStr(1, Command$, "/" & ParameterName & ":", vbTextCompare) + Len(ParameterName) + 2), 0, "/"))
  Else
    GetParameter = Default
  End If

End Function

Public Sub Main()

  Dim Slask&, AreaFilter$
  Dim Temp As String * 1024
  Dim GroupName$, GroupIndex%
  Dim ObjectToLoad$
  
  On Error Resume Next
  
  Slask = 0
  Slask = vbGetUserName(Temp, Len(Temp))
  m_UserName = Left(Temp, Slask)
  'MsgBox CStr(Slask) & "/" & m_UserName
  
  Slask = 0
  Slask = vbGetGroupNames("", Temp, Len(Temp))
  m_Groups = UCase(Left(Temp, Slask))
  'MsgBox CStr(Slask) & "/" & m_Groups
  
  GroupIndex = 0
  GroupName = Item(m_Groups, GroupIndex, "/")
  While Len(GroupName)
    Select Case UCase$(GroupName)
      Case "STYRN"
        m_Area = "STYRN"
      Case "STYRO"
        m_Area = "STYRO"
      Case "STYRM"
        m_Area = "STYRM"
      Case "STYRV"
        m_Area = "STYRV"
      Case "STYRS"
        m_Area = "STYRS"
      Case "STYR3", "STYR4"
        m_Password = "Admin"
    End Select
    GroupIndex = GroupIndex + 1
    GroupName = Item(m_Groups, GroupIndex, "/")
  Wend
  
  m_Area = GetParameter("Area", m_Area)
  m_ServerAddress = GetParameter("ServerAddress", m_ServerAddress)
  m_ServerPort = Val(GetParameter("ServerPort", CStr(m_ServerPort)))
  m_Password = GetParameter("Password", m_Password)
  
  ObjectToLoad = GetParameter("Object", "")
  
  Select Case UCase$(ObjectToLoad)
    Case "PROFILES"
      Form_Profiles.Show
    Case "RECEIVERS"
      Form_Receivers.Show
    Case "TEXTMESSAGE"
      Form_TextMessage.Show
    Case Else
      End
  End Select

End Sub

Public Function Item$(InString$, ItemNo%, Delimiter$)

  ' Returnerar en del av en strng avgrnsad med t ex ','

  Dim LeftChar%, RightChar%, Items%
  
  LeftChar = 1
  RightChar = InStr(InString, Delimiter)
  Items = ItemNo

  While Items > 0 And RightChar > 0
     LeftChar = RightChar + 1
     RightChar = InStr(LeftChar, InString, Delimiter)
     Items = Items - 1
  Wend

  If Items Then
     Item = ""
  Else
     If RightChar = 0 Then
        RightChar = Len(InString) + 1
     End If
     Item = Mid$(InString, LeftChar, RightChar - LeftChar)
  End If

End Function






